use csg::{
    brush::{self, Brush, BrushPlane, MaterialId, TextureProjection},
    glam::{self},
    plane::Plane,
};

fn main() {
    let points = vec![
        glam::vec3(1.0, 0.0, 0.0),
        glam::vec3(-1.0, 0.0, 0.0),
        glam::vec3(0.0, 1.0, 0.0),
        glam::vec3(0.0, -1.0, 0.0),
        glam::vec3(0.0, 0.0, 1.0),
        glam::vec3(0.0, 0.0, -1.0),
    ];

    let mut brush_planes = vec![];
    for point in &points {
        brush_planes.push(BrushPlane {
            plane: Plane::from_point_normal(*point, *point),
            material: MaterialId("Epic".to_string()),
            tex_projection: TextureProjection::default(),
        });

        println!("Plane: {:?}", brush_planes.last().unwrap().plane);
    }

    let brush = Brush {
        planes: brush_planes,
    };
    let vs = brush.get_vertices();

    println!("Vertices: {vs:?}");
}
